<template>
	<div>
		<v-toolbar color="primary">
			<v-icon color="accent">fa-tasks</v-icon>
			<v-spacer />
			<v-btn v-if="$vuetify.breakpoint.mdAndUp" color="accent" @click.stop="showDialog()">New Task</v-btn>
		</v-toolbar>

		<!-- Desktop dialog -->
		<task-dialog
			v-if="$vuetify.breakpoint.mdAndUp && dialog.open"
			v-model="dialog.open"
			@input="onInput"
		/>
	</div>
</template>

<script>
import TaskDialog from "@/components/TaskDialog";

export default {
	components: {
		TaskDialog
	},

	data() {
		return {
			dialog: {
				open: false
			}
		};
	},

	methods: {
		onInput(e) {
			this.$emit("input", e);
		},

		showDialog() {
			this.dialog.open = true;
		}
	}
};
</script>